<?php
require('../../../wp-blog-header.php');
require ("imdbsearch.class.php");

$tailleimdbimage = '20';
$urlimdbimage = 'pics/imdb-link.png';

$search = new imdbsearch ();
$search->setsearchname ($_GET['film']);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/1">
	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
	<style type="text/css" media="screen">@import url( <?php bloginfo('stylesheet_url'); ?> );</style>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/imdb.css">
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="application/rss+xml" title="Comments RSS 2.0" href="<?php bloginfo('comments_rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS 0.92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>
	<?php comments_popup_script(); // off by default ?>
	<?php wp_head(); ?>
	<link rel="shortcut icon" href="<?php bloginfo('home'); ?>/favicon.ico" />
</head>

<body>

<div id="wrapper">
	<div id="contentwrapper">
		<br />
		<br />

<?php
$results = $search->results ();

echo "<table class='titrecolonne'>\n";
echo "	<tr>\n";
echo "		<td class='titrecolonne' colspan='2'><div align='center'>Choix correspondants &agrave; ce film</div></td>\n";
echo "	</tr>\n";
echo "</table>\n";

echo "<table class='soustitrecolonne'>\n";
echo "	<tr>\n";
echo "		<th class='soustitrecolonne'>Titre(s) possible(s)</th>\n";
echo "		<th class='soustitrecolonne' style='width: 40%'>R&eacute;alisateur</th>\n";
echo "	</tr>\n";

foreach ($results as $res) {
	echo "	<tr>\n";
	
	// ---- partie des films
	echo "		<td><a href=\"imdb_movie.php?mid=";
	echo $res->imdbid();
	echo "\">";
	echo $res->title();
	echo "(".$res->year().")";
	echo "</a> \n";
	echo "&nbsp;&nbsp;<a class=\"imdblink\" href=\"http://us.imdb.com/title/tt";
    echo $res->imdbid();
    echo "\" target=\"_blank\">";
	echo "<img align=\"middle\" src='".$urlimdbimage."' width='".$tailleimdbimage."' alt='lien vers l\'imdb pour'/></a>";	
	echo "</td>\n";

	// ---- partie des ralisateurs
    $realisateur = $res->director();
	if (! is_null ($realisateur['0']['name'])){
	echo "		<td align='right'><a href=\"imdb_director.php?mid=".$realisateur['0']['imdb'];
	echo "\">".$realisateur['0']['name']."</a>";
	echo "&nbsp;&nbsp;<a href=\"http://imdb.com/name/".$realisateur['0']['imdb']."\">";
	echo "<img align=\"middle\" src='".$urlimdbimage."' width='".$tailleimdbimage."' alt='lien vers l\'imdb pour'/>";
    echo "</a>";
	echo "</td>\n";
	}

	echo "	</tr>\n";
}

echo "</table>";
?>

</body>
</html>
